USE cisdb;
DROP TABLE IF EXISTS Capacitor;
DROP TABLE IF EXISTS IC;
DROP TABLE IF EXISTS Misc;
DROP TABLE IF EXISTS Resistor;
DROP TABLE IF EXISTS TMPPRTS;

CREATE TABLE Capacitor (
PartNumber VARCHAR(50) NOT NULL PRIMARY KEY,
PartType VARCHAR(50),
Value VARCHAR(50),
Description VARCHAR(50),
Voltage VARCHAR(50),
Tolerance VARCHAR(50),
SchematicPart VARCHAR(50),
LayoutPCBFootprint VARCHAR(50),
AllegroPCBFootprint VARCHAR(50),
PSpice VARCHAR(50),
ManufacturerPartNumber VARCHAR(50),
Manufacturer VARCHAR(50),
DistributorPartNumber VARCHAR(50),
Distributor VARCHAR(50),
Price DOUBLE,
Availability VARCHAR(50),
Datasheet VARCHAR(50),
ActivepartsID VARCHAR(50)
);

CREATE TABLE IC (
PartNumber VARCHAR(50) NOT NULL PRIMARY KEY,
PartType VARCHAR(50),
Value VARCHAR(50),
Description VARCHAR(50),
SchematicPart VARCHAR(50),
LayoutPCBFootprint VARCHAR(50),
AllegroPCBFootprint VARCHAR(50),
PSpice VARCHAR(50),
ManufacturerPartNumber VARCHAR(50),
Manufacturer VARCHAR(50),
DistributorPartNumber VARCHAR(50),
Distributor VARCHAR(50),
Price DOUBLE,
Availability VARCHAR(50),
Datasheet VARCHAR(50),
ActivepartsID VARCHAR(50)
);

CREATE TABLE Misc (
PartNumber VARCHAR(50) NOT NULL PRIMARY KEY,
PartType VARCHAR(50),
Value VARCHAR(50),
Description VARCHAR(50),
Rating VARCHAR(50),
Tolerance VARCHAR(50),
SchematicPart VARCHAR(50),
LayoutPCBFootprint VARCHAR(50),
AllegroPCBFootprint VARCHAR(50),
PSpice VARCHAR(50),
ManufacturerPartNumber VARCHAR(50),
Manufacturer VARCHAR(50),
DistributorPartNumber VARCHAR(50),
Distributor VARCHAR(50),
Price DOUBLE,
Availability VARCHAR(50),
Datasheet VARCHAR(50),
ActivepartsID VARCHAR(50)
);


CREATE TABLE Resistor (
PartNumber VARCHAR(50) NOT NULL PRIMARY KEY,
Parttype VARCHAR(50),
Value VARCHAR(50),
Description VARCHAR(50),
Power VARCHAR(50),
Tolerance VARCHAR(50),
SchematicPart VARCHAR(50),
LayoutPCBFootprint VARCHAR(50),
AllegroPCBFootprint VARCHAR(50),
PSpice VARCHAR(50),
ManufacturerPartNumber VARCHAR(50),
Manufacturer VARCHAR(50),
DistributorPartNumber VARCHAR(50),
Distributor VARCHAR(50),
Price DOUBLE,
Availability VARCHAR(50),
Datasheet VARCHAR(50),
ActivepartsID VARCHAR(50)
);

CREATE TABLE TMPPRTS (
TMPPRTNO VARCHAR(50) NOT NULL PRIMARY KEY,
RELPRTNO VARCHAR(50),
USERNAME VARCHAR(50),
CREATETIME DATETIME
);
